DEBCONF-APT-PROGRESS.ES.1(1)

NOMBRE
debconf-apt-progress - Instala paquetes usando debconf para mostrar una barra de progreso

SINOPSIS
 debconf-apt-progress [--] orden [argumentos ...]
 debconf-apt-progress --config
 debconf-apt-progress --start
 debconf-apt-progress --from punto-progreso --to punto-progreso [--]
                      orden [argumentos ...]
 debconf-apt-progress --stop

DESCRIPCIÓN
debconf-apt-progress instala paquetes usando debconf para mostrar una barra de progreso. La orden dada debería ser cualquier orden de consola de una interfaz de APT; específicamente, debe enviar información de progreso al descriptor de fichero seleccionado con la opción de configuración "APT::Status-Fd", y debe dejar abiertos los descriptores de ficheros mencionados por la opción de configuración "APT::Keep-Fds" al invocar debconf (directa o indirectamente), ya que esos descriptores de fichero se usarán para el protocolo de paso («passthrough») de debconf.

Generalmente, los argumentos de la orden que introduzca deben incluir -y (con apt-get o aptitude), o similar para así evitar que la interfaz de APT solicite la entrada de datos. debconf-apt-progress no es capaz de hacer esto por sí mismo ya que el argumento adecuado puede diferir según la interfaz de APT.

Las opciones --start, --stop, --from y --to se pueden usar para crear una barra de progreso con varios segmentos para distintas etapas de la instalación, probado que el invocador sea un confmodule de debconf. El invocador también puede interactuar con la barra de progreso usando el protocolo de debconf, si así lo desea.

debconf bloquea su base de datos de configuración al iniciarse, lo cual hace desafortunadamente inconveniente tener una instancia de debconf para mostrar la barra de progreso, y otra para pasar por las consultas de los paquetes que se están instalando. Si usa una barra de progreso con varios segmentos, tendrá que evaluar («eval») la salida de la opción --config antes de iniciar la interfaz de debconf para evitar este comportamiento. Consulte "EJEMPLOS" in la sección EJEMPLOS más abajo.

OPCIONES

--config
    Muestra las variables de entorno necesarias para iniciar una interfaz de barra de progreso.

--start
    Inicia una barra de progreso, que va de 0 a 100 por omisión. Use --from y --to para usar otros puntos.

--from punto-de-progreso
    Si se usa con --start, hace que la barra de progreso comience en el punto-de-progreso en lugar de 0.

    De lo contrario, instala los paquetes con la barra de progreso iniciándose en este punto de progreso. Se debe usar con --to.

--to punto-de-progreso
    Si se usa con --start, hace que la barra de progreso finalice en el punto-de-progreso en lugar de 100.

    De lo contrario, instala los paquetes con la barra de progreso finalizando en este punto de progreso. Se debe usar con --from.

--stop
    Detiene una barra de progreso en ejecución.

--no-progress
    Evita iniciar, detener o aumentar la barra de progreso. Aun así, los mensajes de progreso de apt, eventos de cambio de dispositivo y consultas de debconf se introducirán a través de debconf.

--dlwaypoint porcentaje
    Define el porcentaje de la barra de progreso que se usará para la descarga de paquetes. El resto se usará para la instalación de paquetes. El valor por omisión es un 15% para la descarga y el 85% restante para la instalación.

--logfile fichero
    Envía la salida normal desde APT al fichero dado.

--logstderr
    Envía la salida normal desde APT a la salida de error estándar. Si no introduce --logfile o --logstderr, se descartará la salida normal de APT.

--  Finaliza las opciones. Ya que habitualmente tendrá que introducir al menos el argumento -y a la orden a ejecutar, generalmente tendrá que usar -- para evitar que se interprete como una opción de debconf-apt-progress.

EJEMPLOS
Para instalar el entorno de escritorio GNOME y el sistema de ventanas X de desarrollo dentro de la barra de progreso:

 debconf-apt-progress -- aptitude -y install gnome x-window-system-dev

Para instalar los entornos de escritorio GNOME, KDE y XFCE dentro de una sola barra de progreso, asignando el 45% de la barra de progreso para cada uno de GNOME y KDE y el restante 10% para XFCE:

 #! /bin/sh
 set -e
 case $1 in
   '')
     eval "$(debconf-apt-progress --config)"
     "$0" debconf
     ;;
   debconf)
     . /usr/share/debconf/confmodule
     debconf-apt-progress --start
     debconf-apt-progress --from 0 --to 45 -- apt-get -y install gnome
     debconf-apt-progress --from 45 --to 90 -- apt-get -y install kde
     debconf-apt-progress --from 90 --to 100 -- apt-get -y install xfce4
     debconf-apt-progress --stop
     ;;
 esac

CÓDIGO DE RETORNO
Se devuelve el código de salida de la orden definida, a menos que el usuario pulse el botón de cancelar en la barra de progreso. Si se pulsa el botón de cancelar se devuelve un valor de 30. Para evitar la ambigüedad, si la orden devolvió 30, se devolverá el valor 3.

AUTORES
Colin Watson <cjwatson@debian.org>

Joey Hess <joeyh@debian.org>

TRADUCCIÓN
Omar Campagne Polaino <ocampagne@gmail.com>, 2010

Si encuentra un fallo en la traducción, por favor, informe de ello en la lista de traducción <debian-l10n-spanish@lists.debian.org>.